package com.company;



/**
 * Игрок
 */
public class Player {
    public final Card[] cards = new Card[7];
    private String name;
    public Combination combination;

    public Player(String name) {
        this.name = name;
        this.combination = new Combination();
    }

    public String getName() {
        return name;
    }

    /**
     * Установить карту в указанный слот
     * @param slot
     * @param card
     */
    public void setCards(int slot, Card card) {
        cards[slot] = card;
    }

    public Card getCards(int slot) {
        return cards[slot];
    }

}
